<form class="form-horizontal" method="POST" id="section-form">
  <div class="box-body">
    <div class="row">
      <% if (section.id !== undefined) { %>
      <div class="col col-12 col-md-6 col-lg-4 h-70">
        <div class="form-group row">
          <label for="id" class="col col-4 control-label">ID</label>
          <div class="col col-8">
            <input type="text" class="form-control" id="id" name="id" value="<%= section.id %>" readonly>
          </div>
        </div>
      </div>
      <% } %>
      <div class="col col-12 col-md-6 col-lg-4 h-70">
        <div class="form-group row">
          <label for="code" class="col col-4 control-label">部署コード<span style="color: red">*</span></label>
          <div class="col col-8">
            <input type="text" class="form-control" id="code" name="code" value="<%= section.code %>">
          </div>
        </div>
      </div>
      <div class="col col-12 col-md-6 col-lg-4 h-70">
        <div class="form-group row">
          <label for="name" class="col col-4 control-label">部署名<span style="color: red">*</span></label>
          <div class="col col-8">
            <input type="text" class="form-control" id="name" name="name" value="<%= section.name %>">
          </div>
        </div>
      </div>
      <div class="col col-12 col-md-6 col-lg-4 h-70">
        <div class="form-group row">
          <label for="higherSectionDisplay" class="col col-4 control-label">上位部署コード</label>
          <div class="col col-8">
            <div class="input-group">
              <div class="input-group-prepend">
                <button type="button" class="btn btn-primary modal-syncer" data-toggle="modal" data-target="#section-search">
                  <i class="fa fa-search"></i>
                </button>
              </div>
              <input type="hidden" id="higherSectionId" name="higherSectionId" value="<%= section.higherSectionId %>">
              <input type="text" class="form-control" id="higherSectionDisplay" name="higherSectionDisplay"
                value="<%= section.higherSection ? `${section.higherSection.code} - ${section.higherSection.name}` : (section.higherSectionDisplay || '') %>"
              >
            </div>
          </div>
        </div>
      </div>
      <div class="col col-12 col-md-6 col-lg-4 h-70">
        <div class="form-group row">
          <label for="sort" class="col col-4 control-label">表示順位<span style="color: red">*</span></label>
          <div class="col col-8">
            <input type="number" class="form-control" id="sort" name="sort" value="<%= section.sort %>">
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- /.box-body -->
  <div class="box-footer">
    <button onclick="cancel(<%= section.id === undefined ? '' : section.id %>)" type="button" class="btn btn-danger float-right">
      <i class="fas fa-times"></i> キャンセル
    </button>
    <button type="submit" class="btn btn-success float-right" style="margin-right: 5px;">
      <i class="fas fa-save"></i> 保存
    </button>
  </div>
  <!-- /.box-footer -->
</form>
<%- include('./_modal', { search: {} }) %>
<script src="/js/lib/jquery.validate.min.js"></script>
<script src="/js/lib/localization/messages_ja.min.js"></script>
<script src="/js/lib/custom-methods.js"></script>
<script src="/js/section/form.js"></script>